GIT-UBUNTU-EXPORT-ORIG(1)

NAME
git-ubuntu-export-orig - Export orig tarballs

SYNOPSIS
git ubuntu export-orig [--dl-cache <dl_cache>] [--for-merge] [--no-pristine-tar] [--no-lxd] [--commitish <commitish>] [-- ...]

DESCRIPTION
Export orig tarballs for use by other tools. Any tarballs will be generated by pristine-tar, if possible, or downloaded from Launchpad.

OPTIONS

--dl-cache <dl_cache>
    The path to use for caching downloads from Launchpad. By default, downloads are cached inside the repository's GIT_DIR.

--for-merge
    The tarballs will be from Debian, and thus suitable for Ubuntu merge uploads.

--no-pristine-tar
    Do not use pristine-tar when searching for orig tarballs. This is useful to work around broken imports with missing pristine-tar data.

--commitish <commitish>
    The commitish in the Git repository to obtain the orig tarballs for. If not specified, HEAD will be used.

EXIT STATUS
git ubuntu export-orig exits with status 0 if tarballs are successfully extracted to the parent directory. git ubuntu export-orig exits with nonzero exit status on errors.

REPORTING BUGS
Report bugs at https://bugs.launchpad.net/git-ubuntu .

GIT-UBUNTU
Part of the git-ubuntu(1) suite